com.pixelmed.dicom

## Class ContentItemFactory.WaveformContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.CompositeContentItem
      - - com.pixelmed.dicom.ContentItemFactory.WaveformContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.WaveformContentItem
    extends ContentItemFactory.CompositeContentItem

### Field Summary

Fields
`protected int[]` `referencedWaveformChannels`

### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`referencedSOPClassUID, referencedSOPInstanceUID, referencedSOPSequenceItemAttributeList`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.WaveformContentItem(ContentItem parent, AttributeList list)`

### Method Summary

Methods
`int[]` `getReferencedWaveformChannels()`
`java.lang.String` `toString()` Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

`doCommonConstructorStuff, getConceptValue, getReferencedSOPClassUID, getReferencedSOPInstanceUID`

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### referencedWaveformChannels

    protected int[] referencedWaveformChannels

### Constructor Detail

#### ContentItemFactory.WaveformContentItem

    public ContentItemFactory.WaveformContentItem(ContentItem parent,
                                          AttributeList list)

Parameters:
  `parent` -
  `list` -

### Method Detail

#### toString

    public java.lang.String toString()

Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemFactory.CompositeContentItem`
Returns:
  the string representation of the content item

#### getReferencedWaveformChannels

    public int[] getReferencedWaveformChannels()